Zum Inhalt springen
Deutsch

Datei herunterladen

GET/v1/mailboxes/{mailbox_id}/files/{file_id}/download

Die Antwort enthält Dateibytes mit Content-Disposition: attachment.. Der Link erfordert eine Autorisierung bei jeder Anfrage; Der öffentliche Speicher URL wird nicht ausgegeben.

Berechtigungs- und Zugangsbereiche · Fehler und Wiederholungen

Anfrage

Terminal-Fenster
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/files/<file_id>/download' \
-H 'Authorization: Bearer <access_token>'

Optionen

mailbox_idpathUnbedingt

integer

file_idpathUnbedingt

string · uuid

X-Customer-IDheader
Option 1

string

Option 2

null

Antworten

200 Erfolgreiche Antwort

application/octet-stream

string · binary

401 Anmeldung erforderlich

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array-Elemente

object

403 Kein Zugriff

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array-Elemente

object

404 Ressource nicht gefunden

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array-Elemente

object

409 Staatskonflikt

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array-Elemente

object

422 Validierungsfehler

application/json

object

detail

array

Array-Elemente

object

locUnbedingt

array

Array-Elemente
Option 1

string

Option 2

integer

msgUnbedingt

string

typeUnbedingt

string

503 Vorübergehende Nichtverfügbarkeit

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array-Elemente

object